function TcpToLocalDataLoggerUpdatePage()
{
	var SaveGlobalVariable = function(Row){TcpToLocalDataLoggerUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return TcpToLocalDataLoggerUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){TcpToLocalDataLoggerUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){TcpToLocalDataLoggerUpdatePage.prototype._Initialization_();};
}










function TcpToLocalDataLoggerFirstPage()
{
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){TcpToLocalDataLoggerFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){TcpToLocalDataLoggerFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){TcpToLocalDataLoggerFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){TcpToLocalDataLoggerFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){TcpToLocalDataLoggerFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetAllDeviceName   = function(){return TcpToLocalDataLoggerFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return TcpToLocalDataLoggerFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return TcpToLocalDataLoggerFirstPage.prototype._GetAllModuleData_();};
  //判斷
  var IsAllLocalDataLoggerRecord = function(){return TcpToLocalDataLoggerFirstPage.prototype._IsAllLocalDataLoggerRecord_();};
  //初始化
  this.Initialization = function(){TcpToLocalDataLoggerFirstPage.prototype._Initialization_();};
  //按鈕
  this.EditButton = function(that){TcpToLocalDataLoggerFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){TcpToLocalDataLoggerFirstPage.prototype._SaveButton_(that);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){TcpToLocalDataLoggerFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){TcpToLocalDataLoggerFirstPage.prototype._ChangeCheckbox_(that);};
}










function TcpToLocalDataLoggerSecondPage()
{
  //變數表
  var VariableTableAddNewRow       = function(number){TcpToLocalDataLoggerSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){TcpToLocalDataLoggerSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){TcpToLocalDataLoggerSecondPage.prototype._SetVariableTableInitialValue_(number);};  
  //取值
  var GetModuleName = function(number){return TcpToLocalDataLoggerSecondPage.prototype._GetModuleName_(number);};
  //介面
  var ClearTable = function(number){TcpToLocalDataLoggerSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(that){TcpToLocalDataLoggerSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){TcpToLocalDataLoggerSecondPage.prototype._NoConfirmButton_();};
  //全域變數 或 物件
  var ModifyTcpToLocalDataLoggerVariableObject= function(that){TcpToLocalDataLoggerSecondPage.prototype._ModifyTcpToLocalDataLoggerVariableObject_(that);};
  var SetFormInitialValue = function(number){TcpToLocalDataLoggerSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){TcpToLocalDataLoggerSecondPage.prototype._SetInitialValue_(number);};
  //對照
  var GetReadWriteType = function(string){return TcpToLocalDataLoggerSecondPage.prototype._GetReadWriteType_(string);};
  //判斷
  var AllDataIsCorrect = function(){TcpToLocalDataLoggerSecondPage.prototype._AllDataIsCorrect_();};
}